Name:		qsampler
Summary:	LinuxSampler GUI front-end application
Version:	0.9.0
Release:	%mkrel 1
License:	GPLv2
Group:		Sound/Midi
URL:		https://qsampler.sourceforge.io/
Source0:	https://sourceforge.net/projects/qsampler/files/qsampler/%{version}/%{name}-%{version}.tar.gz

BuildRequires:	pkgconfig(lscp)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5X11Extras)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(gig) >= 4.0.0
BuildRequires:	qttools5

%ifnarch aarch64
Requires:	linuxsampler >= 2.0.0
%endif

%description
QSampler is a LinuxSampler GUI front-end application written in
C++ around the Qt5 toolkit using Qt Designer. At the moment it
just wraps as a client reference interface for the LinuxSampler
Control Protocol (LSCP).

%prep
%setup -q

%build
%configure --enable-debug

%make_build

%install
%make_install

desktop-file-install \
	--remove-key="X-SuSE-translate" \
	--remove-key="Version" \
	--set-key=Exec --set-value="%{name}" \
	--dir %{buildroot}%{_datadir}/applications \
	%{buildroot}%{_datadir}/applications/%{name}.desktop

%files
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
%{_datadir}/icons/hicolor/32x32/mimetypes/application-x-%{name}-session.png
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/icons/hicolor/scalable/mimetypes/application-x-%{name}-session.svg
%{_datadir}/%{name}/
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/metainfo/%{name}.appdata.xml
%{_mandir}/man1/*
%lang(fr) %{_mandir}/fr/man1/%{name}*.1*


%changelog
* Sat Dec 19 2020 daviddavid <daviddavid> 0.9.0-1.mga8
+ Revision: 1661140
- new version: 0.9.0

* Thu Dec 17 2020 umeabot <umeabot> 0.6.3-2.mga8
+ Revision: 1659548
- Rebuild for new Qt5

* Sat Aug 01 2020 daviddavid <daviddavid> 0.6.3-1.mga8
+ Revision: 1610186
- new version: 0.6.3

* Sun Mar 29 2020 daviddavid <daviddavid> 0.6.2-1.mga8
+ Revision: 1562088
- new version: 0.6.2

* Tue Feb 18 2020 umeabot <umeabot> 0.6.1-2.mga8
+ Revision: 1541324
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Dec 22 2019 daviddavid <daviddavid> 0.6.1-1.mga8
+ Revision: 1469572
- new version: 0.6.1

* Fri Nov 29 2019 daviddavid <daviddavid> 0.6.0-2.mga8
+ Revision: 1463691
- rebuild for new gig 4.2.0

* Thu Oct 17 2019 daviddavid <daviddavid> 0.6.0-1.mga8
+ Revision: 1454279
- new version: 0.6.0

* Thu Oct 10 2019 daviddavid <daviddavid> 0.5.6-1.mga8
+ Revision: 1451142
- new version: 0.5.6

* Fri Apr 12 2019 barjac <barjac> 0.5.5-1.mga7
+ Revision: 1388972
- new version 0.5.5

* Mon Apr 01 2019 umeabot <umeabot> 0.5.4-2.mga7
+ Revision: 1384252
- Qt5 Rebuild

* Mon Mar 11 2019 barjac <barjac> 0.5.4-1.mga7
+ Revision: 1374046
- new version 0.5.4

* Tue Jan 01 2019 daviddavid <daviddavid> 0.5.3-1.mga7
+ Revision: 1348350
- new version: 0.5.3

* Mon Dec 24 2018 daviddavid <daviddavid> 0.5.1-3.mga7
+ Revision: 1344784
- do not requires unavailable linuxsampler on aarch64

* Sun Sep 23 2018 umeabot <umeabot> 0.5.1-2.mga7
+ Revision: 1300675
- Mageia 7 Mass Rebuild

* Sun Jun 10 2018 barjac <barjac> 0.5.1-1.mga7
+ Revision: 1235829
- new version 0.5.1

* Fri Dec 22 2017 barjac <barjac> 0.5.0-1.mga7
+ Revision: 1183748
- new version 0.5.0
- spec clean up & remove snapshot script
- fix SOURCE0 & files list

* Mon Oct 02 2017 daviddavid <daviddavid> 0.4.3-2.mga7
+ Revision: 1162543
- fix the desktop file

* Mon Oct 02 2017 daviddavid <daviddavid> 0.4.3-1.mga7
+ Revision: 1162542
- new version: 0.4.3

* Wed Apr 06 2016 barjac <barjac> 0.4.0-1.mga6
+ Revision: 998823
- new version 0.4.0
- updated tarball script to handle full versions

* Tue Apr 05 2016 barjac <barjac> 0.3.1.20-1.mga6
+ Revision: 998494
- new version 0.3.1.20

* Sat Jan 16 2016 barjac <barjac> 0.3.1.18-1.mga6
+ Revision: 924645
- new mini version 0.3.1.18
- fix typo in mk-git-tar-rev script

* Sat Oct 24 2015 barjac <barjac> 0.3.1.13-1.mga6
+ Revision: 894929
- new version 0.3.1.13
- switched to git from svn for tarball
- added extra minor to version from git describe to make versioning simpler when using snapshots

* Thu Aug 27 2015 cjw <cjw> 0.2.2-0.2671.4.mga6
+ Revision: 870163
- rebuild with gcc 5

* Wed Oct 15 2014 umeabot <umeabot> 0.2.2-0.2671.3.mga5
+ Revision: 741011
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.2-0.2671.2.mga5
+ Revision: 688513
- Mageia 5 Mass Rebuild

* Tue Sep 02 2014 barjac <barjac> 0.2.2-0.2671.1.mga5
+ Revision: 670989
- new snapshot 2671
- fix files list

* Tue May 13 2014 barjac <barjac> 0.2.2-0.2546.3.mga5
+ Revision: 622399
- new snapshot 2546
- fix files list

* Sat Oct 19 2013 umeabot <umeabot> 0.2.2-0.2459.2.mga4
+ Revision: 531790
- Mageia 4 Mass Rebuild

* Sun Aug 11 2013 barjac <barjac> 0.2.2-0.2459.1.mga4
+ Revision: 465353
- new snapshot 2459
- use makeinstall_std
- fix files

* Sun Jan 13 2013 umeabot <umeabot> 0.2.2-0.2379.2.mga3
+ Revision: 379911
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 11 2013 barjac <barjac> 0.2.2-0.2379.1.mga3
+ Revision: 349433
- correct release format

* Wed Nov 14 2012 barjac <barjac> 0.2.2-0.2379.mga3
+ Revision: 317573
- imported package qsampler

